
TYPO3.Flow - Feature # 478

Status: Resolved Priority: Should have
Author: Axel Category: Object
Created: 2008-04-24 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: More speed for object creation
Description

I attached the file F3_FLOW3_Component_ObjectBuilder.php with some changes in the methods createComponentObject and
injectConstructorArguments.

The objectcreation with eval() is a litte bit slow and i changed this to ReflectionClass::newInstance. This results in a 17% better
performance (testet with ApacheBench on the TestPackage) and a more readable injectConstructorArguments - method.
All seems to work fine, but i was not able to run the testcase yet(PHPUnit crashes my apache). Perhabs someone else can test that.

(I'm sorry about my bad english)

Associated revisions
Revision 4d9ddfe8 - 2008-05-23 12:08 - Robert Lemke

    -  FLOW3: (Component) Improved the performance of the component object builder, resolves #478. Thanks to Axel for the suggestion.
    -  Removed the index*.php files from the main directory - the ones in the Public/ dir should be used.

Revision 5ebef333 - 2008-05-23 12:08 - Robert Lemke

    -  FLOW3: (Component) Improved the performance of the component object builder, resolves #478. Thanks to Axel for the suggestion.
    -  Removed the index*.php files from the main directory - the ones in the Public/ dir should be used.

History
#1 - 2008-05-23 12:08 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r866.

Files
F3_FLOW3_Component_ObjectBuilder.php 14 kB 2008-04-24 Axel 
